aboutsummaryrefslogtreecommitdiffstats
path: root/xcftools/watch
diff options
context:
space:
mode:
Diffstat (limited to 'xcftools/watch')
-rwxr-xr-xxcftools/watch20
1 files changed, 20 insertions, 0 deletions
diff --git a/xcftools/watch b/xcftools/watch
new file mode 100755
index 0000000..09ac1eb
--- /dev/null
+++ b/xcftools/watch
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+[ -f 'versions' ] && rm 'versions'
+wget http://henning.makholm.net/xcftools -O - | grep -Po '<a [^>]*>' | grep 'xcftools' | grep -v asc > versions
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ md5sum < versions > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'xcftools'
+ fi
+ rm versions
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'xcftools (unfetchable)'
+fi
+